Subject: bug#29159: closed (done)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Nov 2017 20:50:02 +0000

Your bug report

#29159: 27.0.50; Hang in HTML/CSS code

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29159: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29159
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: done
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Sat, 25 Nov 2017 13:49:16 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I've checked in a patch to fix this problem.

Tom

Subject: 27.0.50; Hang in HTML/CSS code
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Sun, 05 Nov 2017 18:39:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

If I put the following into a file called foo.html:

<style>
@keyframes dropFlowParticles {
  0% { background-position: 0 0, 0 0, 30px 40px, 0 0, 10px 0; }
}
</style>

End then delete the 0%, and then start typing "top", then Emacs will
hang kinda hard.  A C-g will eventually break out and the "t" will be
inserted, but then Emacs hangs again.

Setting debug-on-quit doesn't give me a backtrace, so I'm not sure where
it's hanging.

In GNU Emacs 27.0.50 (build 4, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2017-11-03 built on mouse
Repository revision: 620247ac205b80ceb142ee70500ab2c3ffa46fe2
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
System Description:	Ubuntu 17.04

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no